Scientific Linux セキュリティ更新:SL5.x、SL6.x i386/x86_64 の Firefox

critical Nessus プラグイン ID 61304
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート Scientific Linux ホストに 1 つ以上のセキュリティ更新がありません。

説明

Mozilla Firefox はオープンソースの Web ブラウザです。XULRunner は、Mozilla Firefox 用の XUL Runtime 環境を提供しています。

Firefox を使用してOpenType(OTS)用のサニタイザーで見つかった欠陥は、無効な形式の OpenType フォントの潜在的な悪用を防ぐものです。悪意のあるコンテンツを掲載する Web ページは、Firefox がクラッシュする原因となったり、ある特定の状況において、Firefox を実行しているユーザーの権限で、任意のコードが実行される可能性があります。(CVE-2011-3062)

悪意のあるコンテンツが含まれる Web ページが、Firefox をクラッシュさせたり、 Firefox を実行しているユーザーの権限で任意のコードを実行したりする可能性があります。(CVE-2012-0467、 CVE-2012-0468、CVE-2012-0469)

悪意のあるスケーラブル・ベクター・グラフィックス(SVG)の画像を掲載する Web ページにより、Firefox がクラッシュしたり、Firefox を実行しているユーザーの権限で任意のコードが実行されたりする可能性があります。(CVE-2012-0470)

Firefox が、埋め込んだ Cairo ライブラリを使用して、特定のフォントをレンダリングする方法で、欠陥が見つかりました。悪意のあるコンテンツを掲載する Web ページは、Firefox がクラッシュする原因となったり、ある特定の状況において、Firefox を実行しているユーザーの権限で、任意のコードが実行される可能性があります。
(CVE-2012-0472)

Firefox が WebGL を使用して特定のイメージをレンダリングする方法で、欠陥が見つかりました。悪意のあるコンテンツを掲載する Web ページは、Firefox がクラッシュする原因となったり、ある特定の状況において、Firefox を実行しているユーザーの権限で、任意のコードが実行される可能性があります。(CVE-2012-0478)

Firefoxで特定のマルチバイト文字セットを処理する方法に、クロスサイトスクリプティング(XSS)欠陥が見つかりました。悪意のあるコンテンツが含まれる Web ページが、別の Web サイトの権限で Firefox に JavaScript コードを実行させる可能性があります。(CVE-2012-0471)

Firefox が WebGL を使用して特定のグラフィックをレンダリングする方法で、欠陥が見つかりました。悪意的なコンテンツを掲載する Web ページは、 Firefox がクラッシュする原因となることがあります。(CVE-2012-0473)

ユーザーが閲覧している Web サイトとは別のサイトがアドレスバーに表示される Firefox の欠陥。攻撃者は、この欠陥を悪用して、悪意のある URL を隠します。これにより、ユーザーをだまして、信頼できるサイトを表示していると信じ込ませたり、攻撃者のサイトからスクリプトをロードできるようにしたりしてしまいます。その結果、クロスサイトスクリプティング(XSS)攻撃を引き起こす可能性があります。(CVE-2012-0474)

Firefox が ISO-2022-KR と ISO-2022-CN の文字セットをデコードする方法で、欠陥が見つかりました。悪意のあるコンテンツが含まれる Web ページが、別の Web サイトの権限で Firefox に JavaScript コードを実行させる可能性があります。(CVE-2012-0477)

Firefox が RSS フィードと Atom フィードを処理する方法で、欠陥が見つかりました。
HTTPS 経由でロードされた無効な RSS または Atom のコンテンツにより、 Firefox は前述のコンテンツのアドレスをロケーションバーに表示することになりますが、メインウィンドウにコンテンツは表示しません。以前のコンテンツは引き続き表示されます。攻撃者は、この欠陥を悪用して、フィッシング攻撃を仕掛けることがあります。あるいは、ページが実際に攻撃者によりコントロールされるコンテンツである場合、ユーザーをだましてロケーションバーで報告されているサイトを閲覧していると思わせることがあります。(CVE-2012-0479)

これらの欠陥の技術的な詳細については、Firefox 10.0.4 ESR 向けの Mozilla セキュリティアドバイザリを参照してください。Mozilla アドバイザリへのリンクは、このエラータの「参照」セクションにあります。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.nessus.org/u?8e02ce35

プラグインの詳細

深刻度: Critical

ID: 61304

ファイル名: sl_20120424_firefox_on_SL5_x.nasl

バージョン: 1.9

タイプ: local

エージェント: unix

公開日: 2012/8/1

更新日: 2021/1/14

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: High

スコア: 8.8

CVSS v2

リスクファクター: Critical

Base Score: 10

ベクトル: AV:N/AC:L/Au:N/C:C/I:C/A:C

脆弱性情報

CPE: p-cpe:/a:fermilab:scientific_linux:firefox, p-cpe:/a:fermilab:scientific_linux:firefox-debuginfo, p-cpe:/a:fermilab:scientific_linux:xulrunner, p-cpe:/a:fermilab:scientific_linux:xulrunner-debuginfo, p-cpe:/a:fermilab:scientific_linux:xulrunner-devel, x-cpe:/o:fermilab:scientific_linux

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2012/4/24

脆弱性公開日: 2012/3/30

参照情報

CVE: CVE-2011-3062, CVE-2012-0467, CVE-2012-0469, CVE-2012-0470, CVE-2012-0471, CVE-2012-0472, CVE-2012-0473, CVE-2012-0474, CVE-2012-0477, CVE-2012-0478, CVE-2012-0479